quinta-feira, 19 de março de 2020

Pré-requisitos para instalação do Oracle Database no Linux

Quando pensamos em instalar um banco de dados Oracle é importante nos lembrarmos que existem um conjunto de requisitos de hardware, software e sistema operacional a serem atendidos e que estes podem facilmente serem encontrados nas documentações da Oracle através do Oracle Help Center (Oracle Docs) e MOS (My Oracle Support).



Ao vencermos etapas, como o provisionamento de hardware destinado ao banco de dados e a instalação de um sistema operacional homologado, como o Linux 7 para o Oracle Database 19c, por exemplo, que é facilmente identificado através da matriz de certificação disponível no MOS,





É necessário também proceder com alguns ajustes no sistema operacional de modo que todos os pré-requisitos relacionados ao produto e versão que será instalada sejam atendidos, pois o banco de dados requer pacotes específicos de software para garantir seu funcionamento bem como ajustes em determinados parâmetros do kernel. 

Estes pré-requisitos a nível de sistema operacional também podem ser encontrados nas fontes descritas acima, porém a muito tempo a Oracle já oferece alguns pacotes que facilitam estes ajustes básicos relacionados aos pré-requisitos de funcionamento do produto.

Os pacotes foram evoluindo e mudando de nome conforme versão do sistema operacional Linux e versão do produto Oracle:

  • oracle-validated
  • oracle-rdbms-server-11gR2-preinstall
  • oracle-rdbms-server-12cR1-preinstall
  • oracle-database-server-12cR2-preinstall
  • oracle-database-preinstall-18c
  • oracle-database-preinstall-19c

Para instalar um dos pacotes basta realizar o download do arquivo ou do repositório condizente a versão do sistema operacional e proceder com a instalação do pacote.


# cd /etc/yum.repos.d
# wget http://public-yum.oracle.com/public-yum-ol7.repo
# yum install oracle-database-preinstall-19c


# curl -o oracle-database-preinstall-19c-1.0-2.el7.x86_64.rpm https://yum.oracle.com/repo/OracleLinux/OL7/latest/x86_64/getPackage/oracle-database-preinstall-19c-1.0-2.el7.x86_64.rpm
# yum -y localinstall oracle-database-preinstall-19c-1.0-2.el7.x86_64.rpm
# rm oracle-database-preinstall-19c-1.0-2.el7.x86_64.rpm


Concluída mais esta etapa de pré-requisitos, pode-se dar sequencia na instalação do Oracle Database onde durante sua instalação via GUI (Graphical User Interface), por exemplo, será realizada uma nova consistência de pre-requisitos e caso algum novo ajuste seja necessário será informado na tela do usuário para que possa ser ajustado ou ignorado (em alguns casos temos pacotes que podem ser ignorados, mas sempre confirme junto a documentação Oracle especialmente se for um ambiente produtivo para evitar problemas futuros).

Espero que as dicas possam ser úteis, até a próxima.
Postagem mais antiga Página inicial

0 comentários:

Postar um comentário

Translate

# Suporte

# ACE Program

#Oracle

#Oracle
Disclaimer: The views expressed on this blog are my own and do not necessarily reflect the views of Oracle.

#Blog reconhecido

#ARTICULISTA

Marcadores

Postagens populares